Page MenuHomePhabricator

Enhance workflow for toolforge membership requests
Closed, ResolvedPublic

Description

  • Add a "feedback needed" state
  • Make this state flip back to "pending" when the applicant provides feedback
  • Consider replacing notes with blocks that record who added the comment and when (more recreating of the wiki :/)
  • mark unread notices for all admins as read when a request is processed (might be tricky)

Event Timeline

bd808 created this task.Jun 15 2017, 11:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2017, 11:33 PM

Change 374104 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Enhance workflow for tool labs membership requests

https://gerrit.wikimedia.org/r/374104

bd808 claimed this task.Aug 27 2017, 11:10 PM
bd808 triaged this task as Medium priority.
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 27 2017, 11:10 PM
bd808 moved this task from Backlog to Doing on the Striker board.

Change 374104 merged by jenkins-bot:
[labs/striker@master] Enhance workflow for tool labs membership requests

https://gerrit.wikimedia.org/r/374104

Change 401810 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Bump striker submodule and add ddl changes

https://gerrit.wikimedia.org/r/401810

chasemp renamed this task from Enhance workflow for tool labs membership requests to Enhance workflow for toolforge membership requests.Jan 3 2018, 10:20 PM

Change 401810 merged by jenkins-bot:
[labs/striker/deploy@master] Bump striker submodule and add ddl changes

https://gerrit.wikimedia.org/r/401810

Mentioned in SAL (#wikimedia-operations) [2018-01-03T22:31:18Z] <bd808@tin> Started deploy [striker/deploy@69f1b15]: Enhance membership request workflow and fix Diffusion repo creation (T168027, T182142)

Mentioned in SAL (#wikimedia-operations) [2018-01-03T22:31:48Z] <bd808@tin> Finished deploy [striker/deploy@69f1b15]: Enhance membership request workflow and fix Diffusion repo creation (T168027, T182142) (duration: 00m 31s)

bd808 closed this task as Resolved.Jan 3 2018, 10:44 PM

The stretch goal of marking processed notifications as read didn't happen, but the new status and signed comments are live.

bd808 moved this task from To Do to Done on the User-bd808 board.Jul 15 2020, 9:17 PM